Public Member Functions | Static Public Attributes
com.ugrokit.api.UgiEpc Class Reference

## Overview

UgiEpc encapsulates an EPC code.

Immutable.

## Public Member Functions
| UgiEpc (byte[] rawEpc)
| Create a UgiEpc object from an array of bytes. More...
| UgiEpc (String s)
| Create a UgiEpc object from a string of hex digits. More...
String | toString ()
| Convert to a string of hex digits. More...
byte [] | toBytes ()
| Get the raw bytes for the EPC. More...
String | toTagURI ()
| Convert to a tag URI string (as defined by the EPC spec) More...
String | getManufacturerNameIfUnprogrammed ()
| Get the manufacturer name if a EPC is unprogrammed. More...
boolean | isUnprogrammedEpc ()
| Is this EPC unprogrammed? More...

## Static Public Attributes
static final int | MAX_EPC_LENGTH = 27
| Maximum length of an EPC code, in bytes.

## Member Function Documentation

## ◆ toString()

String com.ugrokit.api.UgiEpc.toString | ( |  | ) |

Convert to a string of hex digits.

Returns
  String of hex digits representing the EPC code

## ◆ toBytes()

byte [] com.ugrokit.api.UgiEpc.toBytes | ( |  | ) |

Get the raw bytes for the EPC.

Returns
  Raw bytes

## ◆ toTagURI()

String com.ugrokit.api.UgiEpc.toTagURI | ( |  | ) |

Convert to a tag URI string (as defined by the EPC spec)

Returns
  Tag URI string

## ◆ getManufacturerNameIfUnprogrammed()

String com.ugrokit.api.UgiEpc.getManufacturerNameIfUnprogrammed | ( |  | ) |

Get the manufacturer name if a EPC is unprogrammed.

This is a hueristic function, based on a variety of tags tested

Returns
  Manufacturer name

## ◆ isUnprogrammedEpc()

boolean com.ugrokit.api.UgiEpc.isUnprogrammedEpc | ( |  | ) |

Is this EPC unprogrammed?

Returns
  true if unprogrammed

## Constructor & Destructor Documentation

## ◆ UgiEpc() [1/2]

com.ugrokit.api.UgiEpc.UgiEpc | ( | byte [] | rawEpc | ) |

Create a UgiEpc object from an array of bytes.

Parameters

  rawEpc | Raw bytes to create object from

## ◆ UgiEpc() [2/2]

com.ugrokit.api.UgiEpc.UgiEpc | ( | String | s | ) |

Create a UgiEpc object from a string of hex digits.

Parameters

  s | String to create object from